KIKI(6)

NAME
kiki — tool for python regular expression testing

SYNOPSIS

kiki

DESCRIPTION

This manual page was written for the Debian distribution because the original program does not have a manual page.

A free environment for regular expression testing (ferret). It allowsyou to write regexes and test them against a sample text, providing extensive output about the results. It is useful for several purposes:

- exploring and understanding the structure of match objects generated by the re module, making Kiki a valuable tool for people new to regexes.

- testing regexes on sample text before deploying them in code.

OPTIONS

This program does not take any command line options.

AUTHOR

This manual page was written by Franz Pletz fpletz@franz-pletz.org for the Debian system (but may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.